<?php

require_once "db.class.php";

if ($_POST['accion']=='mostrar_tabla'){

    $cadena="<center>
             <b>C&Oacute;DIGO</b>
             <input style='border-radius:15px;font-weight:bold;text-align:center;' type='text' id='codigo' size='2' >

              <b>DESCRIPCI&Oacute;N</b></td><td><INPUT  style='border-radius:15px;font-weight:bold;text-align:center;' type='text' id='descripcion' size='30' onkeyup = 'this.value=this.value.toUpperCase()'>
              &emsp;&emsp;&emsp;<b>FECHA CIERRE PLANILLA</b>&emsp;
              <input style='border-radius:15px;font-weight:bold;text-align:center;' type='text' name='fecha' id='fecha' size='20'>

              <br><br><input type='button' name='btngrabar' class='button small blue'  onclick='Grabar();' value=' Grabar '>
              <input type='button' name='btnlimpiar' onclick='Limpiar();' class='button small blue' value=' Limpiar '>
              </center>";
              
    echo $cadena;

}

//------------------------------------

if ($_POST['accion']=='grabar_periodo'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $descripcion=$_POST['descripcion'];

    $fecha=$_POST['fecha'];
    $fecha_recu=$_POST['fecha_recu'];
    
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("insert into periodos (codigo,descripcion,fecha_planilla,fecha_recuperacion) values('".$codigo."','".$descripcion."','".$fecha."','".$fecha_recu."')");
    $obj->disconnect();

    if($resultado){
       echo "Registro Grabado";
    }
}
//------------------------------------

if ($_POST['accion']=='actualizar_periodo'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $descripcion=$_POST['descripcion'];
    $fecha=$_POST['fecha'];
    $fecha_recu=$_POST['fecha_recu'];
   
    $obj->conectar(); $obj->consulta("set names 'utf8'");
        
    $resultado=$obj->consulta("update periodos set fecha_planilla ='".$fecha."',fecha_recuperacion ='".$fecha_recu."' where codigo='".$codigo."'");
    $obj->consulta("update curso_asignatura_profesor set fecha_planilla_p".$codigo."='".$fecha."'");


    if($resultado)
       echo "Periodo Actualizado";

    $obj->disconnect();
}

//------------------------------------

if ($_POST['accion']=='borrar_periodo'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $resultado=$obj->consulta("select * from boletin where periodo='".$codigo."'");
    $n=$obj->numero_de_filas($resultado);

    if ($n!=0){
       echo "No se puede Eliminar el Periodo - Contiene  Registros-";
    }
    else{
       $resultado1=$obj->consulta("delete from periodos where codigo='".$codigo."'");

       if($resultado1){
          echo "Periodo Eliminado";
       }
    }

    $obj->disconnect();

}

//------------------------------------

if ($_POST['accion']=='editar_periodo'){


    $obj = new database();

    $codigo=$_POST['codigo'];
    $obj->conectar(); $obj->consulta("set names 'utf8'");

    $query=$obj->consulta("select * from periodos where codigo='".$codigo."'");

    $row =  $obj->fetch_assoc($query);

    echo $row['codigo']."*".$row['descripcion']."*".$row['fecha_planilla']."*".$row['fecha_recuperacion'];
             
    $obj->disconnect();           
}


?>
